-- MySQL dump 9.10
--
-- Host: localhost    Database: postfix
-- ------------------------------------------------------
-- Server version 4.0.18

--
-- Table structure for table `admin`
--

DROP TABLE IF EXISTS admin;
CREATE TABLE admin (
  username varchar(255) NOT NULL default '',
  password varchar(255) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  modified datetime NOT NULL default '0000-00-00 00:00:00',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (username),
  KEY username (username)
) TYPE=MyISAM COMMENT='Postfix Admin - Virtual Admins';

--
-- Dumping data for table `admin`
--


/*!40000 ALTER TABLE admin DISABLE KEYS */;
LOCK TABLES admin WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE admin ENABLE KEYS */;

--
-- Table structure for table `alias`
--

DROP TABLE IF EXISTS alias;
CREATE TABLE alias (
  address varchar(255) NOT NULL default '',
  goto text NOT NULL,
  domain varchar(255) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  modified datetime NOT NULL default '0000-00-00 00:00:00',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (address)
) TYPE=MyISAM COMMENT='Postfix Admin - Virtual Aliases';

--
-- Dumping data for table `alias`
--


/*!40000 ALTER TABLE alias DISABLE KEYS */;
LOCK TABLES alias WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE alias ENABLE KEYS */;

--
-- Table structure for table `domain`
--

DROP TABLE IF EXISTS domain;
CREATE TABLE domain (
  domain varchar(255) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  aliases int(10) NOT NULL default '0',
  mailboxes int(10) NOT NULL default '0',
  maxquota int(10) NOT NULL default '0',
  transport varchar(255) default NULL,
  backupmx tinyint(1) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  modified datetime NOT NULL default '0000-00-00 00:00:00',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (domain)
) TYPE=MyISAM COMMENT='Postfix Admin - Virtual Domains';

--
-- Dumping data for table `domain`
--


/*!40000 ALTER TABLE domain DISABLE KEYS */;
LOCK TABLES domain WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE domain ENABLE KEYS */;

--
-- Table structure for table `domain_admins`
--

DROP TABLE IF EXISTS domain_admins;
CREATE TABLE domain_admins (
  username varchar(255) NOT NULL default '',
  domain varchar(255) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  active tinyint(1) NOT NULL default '1',
  KEY username (username)
) TYPE=MyISAM COMMENT='Postfix Admin - Domain Admins';

--
-- Dumping data for table `domain_admins`
--


/*!40000 ALTER TABLE domain_admins DISABLE KEYS */;
LOCK TABLES domain_admins WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE domain_admins ENABLE KEYS */;

--
-- Table structure for table `log`
--

DROP TABLE IF EXISTS log;
CREATE TABLE log (
  timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  username varchar(255) NOT NULL default '',
  domain varchar(255) NOT NULL default '',
  action varchar(255) NOT NULL default '',
  data varchar(255) NOT NULL default '',
  KEY timestamp (timestamp)
) TYPE=MyISAM COMMENT='Postfix Admin - Log';

--
-- Dumping data for table `log`
--


/*!40000 ALTER TABLE log DISABLE KEYS */;
LOCK TABLES log WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE log ENABLE KEYS */;

--
-- Table structure for table `mailbox`
--

DROP TABLE IF EXISTS mailbox;
CREATE TABLE mailbox (
  username varchar(255) NOT NULL default '',
  password varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  maildir varchar(255) NOT NULL default '',
  quota int(10) NOT NULL default '0',
  domain varchar(255) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  modified datetime NOT NULL default '0000-00-00 00:00:00',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (username)
) TYPE=MyISAM COMMENT='Postfix Admin - Virtual Mailboxes';

--
-- Dumping data for table `mailbox`
--


/*!40000 ALTER TABLE mailbox DISABLE KEYS */;
LOCK TABLES mailbox WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE mailbox ENABLE KEYS */;

--
-- Table structure for table `vacation`
--

DROP TABLE IF EXISTS vacation;
CREATE TABLE vacation (
  email varchar(255) NOT NULL default '',
  subject varchar(255) NOT NULL default '',
  body text NOT NULL,
  cache text NOT NULL,
  domain varchar(255) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (email),
  KEY email (email)
) TYPE=MyISAM COMMENT='Postfix Admin - Virtual Vacation';

--
-- Dumping data for table `vacation`
--


/*!40000 ALTER TABLE vacation DISABLE KEYS */;
LOCK TABLES vacation WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE vacation ENABLE KEYS */;

